import { jsx } from "react/jsx-runtime";
import { TokenZKP as TokenZKP$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenZKP = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "ZKP", "data-name": "TokenZKP", ...props, children: /* @__PURE__ */ jsx(TokenZKP$1, { variant }) });
  }
);
TokenZKP.displayName = "TokenZKP";
Object.assign(TokenZKP, { isGdsIcon: true });
export {
  TokenZKP
};
